Opened 3 years ago

Closed 2 years ago

#982 closed Bug (fixed)

Crash report 2019-03-24

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 - Release 2018.3
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 2019/3/24 䞋午 12:42:51 (UTC time).
User message:

-
Exception:
System.InvalidOperationException: æ­€ Visual 䞊未連線到 PresentationSource。
   斌 System.Windows.Media.Visual.PointFromScreen(Point point)
   斌 WorkspaceManager.View.Base.Util.MouseUtilities.CorrectGetPosition(Visual relativeTo)
   斌 WorkspaceManager.View.Visuals.VisualsHelper.panelPreviewMouseLeftButtonDown(Object sender, MouseButtonEventArgs e)
   斌 System.Windows.Input.MouseButtonEventArgs.InvokeEventHandler(Delegate genericHandler, Object genericTarget)
   斌 System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   斌 System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   斌 System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   斌 System.Windows.UIElement.ReRaiseEventAs(DependencyObject sender, RoutedEventArgs args, RoutedEvent newEvent)
   斌 System.Windows.UIElement.OnPreviewMouseDownThunk(Object sender, MouseButtonEventArgs e)
   斌 System.Windows.Input.MouseButtonEventArgs.InvokeEventHandler(Delegate genericHandler, Object genericTarget)
   斌 System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   斌 System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   斌 System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   斌 System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   斌 System.Windows.UIElement.RaiseTrustedEvent(RoutedEventArgs args)
   斌 System.Windows.UIElement.RaiseEvent(RoutedEventArgs args, Boolean trusted)
   斌 System.Windows.Input.InputManager.ProcessStagingArea()
   斌 System.Windows.Input.InputManager.ProcessInput(InputEventArgs input)
   斌 System.Windows.Input.InputProviderSite.ReportInput(InputReport inputReport)
   斌 System.Windows.Interop.HwndMouseInputProvider.ReportInput(IntPtr hwnd, InputMode mode, Int32 timestamp, RawMouseActions actions, Int32 x, Int32 y, Int32 wheel)
   斌 System.Windows.Interop.HwndMouseInputProvider.FilterMessage(IntPtr hwnd, WindowMessage msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   斌 System.Windows.Interop.HwndSource.InputFilterMessage(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   斌 MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   斌 MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   斌 System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   斌 System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   斌 System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   斌 MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   斌 MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   斌 System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   斌 System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   斌 System.Windows.Application.RunDispatcher(Object ignore)
   斌 System.Windows.Application.RunInternal(Window window)
   斌 System.Windows.Application.Run(Window window)
   斌 Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Windows 10 Education  (6.3.17134)
Processorname: Intel(R) Core(TM) i5-8400 CPU @ 2.80GHz
Processors: 6
Administrative Rights: False
Current culture: zh-TW
CrypTool version: 2.1.8070.1
Installation type: NSIS
Build type: Nightly
Build time: 2019/3/15 䞊午 10:09:46
Product name: CrypTool 2.1 (Nightly Build 8070.1)
Common language runtime version: 4.0.30319.42000
System time: 䞋午 10:42
Command line: "D:\CrypTool 2\CrypWin.exe" 


Change History (1)

comment:1 Changed 2 years ago by kopal

Resolution: fixed
Status: newclosed

already fixed

Note: See TracTickets for help on using tickets.